## org.apache.lucene.queryParser.surround.query
Class SrndQuery

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SrndQuery

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  ComposedQuery, FieldsQuery, SimpleTerm

    public abstract class SrndQuery

extends Object
implements Cloneable

Field Summary
`static Query` `theEmptyLcnQuery`

Constructor Summary
`SrndQuery()`

Method Summary
`Object` `clone()`
`float` `getWeight()`
`String` `getWeightOperator()`
`String` `getWeightString()`
`boolean` `isFieldsSubQueryAcceptable()`
`boolean` `isWeighted()`
`Query` `makeLuceneQueryField(String fieldName, BasicQueryFactory qf)`
`abstract Query` `makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`
`void` `setWeight(float w)`
`abstract String` `toString()`
`protected void` `weightToString(StringBuilder r)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### theEmptyLcnQuery

    public static final Query theEmptyLcnQuery

Constructor Detail

### SrndQuery

    public SrndQuery()

Method Detail

### setWeight

    public void setWeight(float w)

### isWeighted

    public boolean isWeighted()

### getWeight

    public float getWeight()

### getWeightString

    public String getWeightString()

### getWeightOperator

    public String getWeightOperator()

### weightToString

    protected void weightToString(StringBuilder r)

### makeLuceneQueryField

    public Query makeLuceneQueryField(String fieldName,
                                      BasicQueryFactory qf)

### makeLuceneQueryFieldNoBoost

    public abstract Query makeLuceneQueryFieldNoBoost(String fieldName,
                                                      BasicQueryFactory qf)

### toString

    public abstract String toString()

  Overrides:
    `toString` in class `Object`

### isFieldsSubQueryAcceptable

    public boolean isFieldsSubQueryAcceptable()

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`